Kerbal Space Program - Bug #18289

Landing gear bouncing issue in KSP 1.4.2
03/30/2018 05:29 AM - yku12

Status: Not Fixed Start date: 03/30/2018
Severity: Low % Done: 50%
Assignee:

Category: Physics

Target version: 1.4.3

Version: 1.4.2 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game, Making History

Description

Landing gears like LY-35 and LY-60 will be kicked into the air by the ground after time-warp.

https://youtu.be/mhigJQZwoQM

This can be easily reproduce in the vanilla game(1.4.2 x64) with the stock aircraft "Stearwing A300".

Related issues:
Related to Kerbal Space Program - Bug #19454: Starting landing Gear Closed 07/28/2018

History

#1 - 03/30/2018 07:39 AM - yku12

- Subject changed from KSP 1.4.2 landing gear bouncing issue to "Ease in Gravity" is causing landing gear bouncing issue

In the Settings>General>System, there is one called "Ease in Gravity".

This one makes the gravity gradually build-up(from 0% to 100%) when the accurate physics kick in. So, apparently, since the landing gear's spring is
retaining its original strength when the gravity is suddenly become very low and thus kick the craft high into the sky.

This feature is meant to keep very large ship from breaking apart when physics suddenly kick in. But it's doing just the opposite for things that have a
spring(like landing gears).

A possible solution for this is to make every forces (not only the gravity, but also elastic force and so on) to gradually buildup. | don't know if it is
possible for the game's pyhsics system.

#2 - 03/30/2018 08:05 AM - yku12
- File landing gear clipped into the ground.mp4 added

- Subject changed from "Ease in Gravity" is causing landing gear bouncing issue to Landing gear bouncing issue in KSP 1.4.2

| tested again with Ease in Gravity turning off.
For some craft, the problem is gone. But for large craft, there is something else going on.

It seems the landing gear somehow clipped into the ground, and blow off the gear...

#3 - 03/31/2018 02:33 PM - andrewsc32

| haven't tried this in 1.4.2 but I've noticed it before in 1.3.x. The intensity of the bounce seems to depend on the slope. If you come out of the
time-warp on flat ground, the bounce is minimal but it can be huge when you're on a steep slope. I've seen my ship bounce up at 45 m/s on the Mun.

#4 - 04/01/2018 08:07 AM - jclovis3

While testing the other landing gear bug (#18286), | noticed that as soon as you go into warp x5 (2nd green arrow) the compressed struts will
straighten completely, extending them into the ground. When you come out of warp they either cause the jump or explode due to this situation. This
bug fix requires that warp not cause struts to extend. Furthermore, it would seem that when struts deploy, the spring physics is not activated until that
last moment when it kicks. This may be how they went about starting the physics effect of the spring and why it does this when coming out of warp.
The physics should be applied as the strut moves into position, allowing the springs to compress while the strut moves. With warp, the amount of
compression needs to be locked in so that when coming out of warp, the weight can be balanced with the amount of compression to determine if any
more bounce should exist. This would help keep the struts from pushing through the ground, and make return from warp more steady.
#5 - 04/03/2018 11:49 AM - JPLRepo
- Status changed from New to Being Worked On
- % Done changed from 0 to 30

#6 - 04/03/2018 04:33 PM - yku12

- File SPH.7z added

Upload the craft file for reference.

SSOTX_Traveller #1  has very significant effect on the runway.

#7 - 04/22/2018 06:02 PM - EmbersArc

Having the same issue with some of the legs in my mod. Has brought me close to insanity before noticing it's a KSP bug.

If | had to guess it might have something to do with the wheel collider being in the wrong place for a spit second. That would explain the random
forces that kick the vessel into the air when loading it.

Some GIFs of the the particular issue | had:

https://gfycat.com/HospitableWeakDouglasfirbarkbeetle
https://gfycat.com/OffbeatSlushyHeron

#8 - 04/26/2018 11:03 PM - Squelch
- Status changed from Being Worked On to Ready to Test
- Target version set to 1.4.3

- % Done changed from 30 to 80

Improvements to the landing gear and legs have been made.

#9 - 04/27/2018 05:34 AM - jclovis3
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

| can see a huge difference in both stability, and kick back. Legs come out compressed and the spring tension is eased in removing any kick. Tested
3 LT-2 (large) landing legs with 2 of the largest fuel tank (S4-512) and placement put them directly on the launch pad allowing springs to bounce a bit
without crashing into the launch pad. Pulled up landing gear, and the launch pad collapsed and exploded. That only goes to show how weak the
launch pad is though. That can be another bug if it wasn't intentional, but this bug seems fixed.

#10 - 04/28/2018 02:27 PM - yku12

- File craft file.7z added

- Status changed from Resolved to Updated
- % Done changed from 100 to 10

| have done a quick test with latest update. With or without the mods.
The issue is different, but it is still there. It may not be as severe as before, but it shows that the bug is not totally clean either.

Not like before, the bouncing issue seems only happen when you launch your craft and started a x5 time warp immediately. And it will also cause very
violent G force ringing.

Load game is totally fine now. And after you retreat your landing gear and deploy them on the runway, doing x5 time warp won't trigger the bouncing
issue.

It seems a very tiny tweak is still needed to resolve this issue, but it may not be a game breaking bug anymore.
Uploaded the craft file and the video is here:

https://youtu.be/t2h9L.n4z3W4
https://youtu.be/dw1r55XIBk4

#11 - 04/28/2018 06:23 PM - jclovis3

It might not seem obvious, but there is more work that needs to be performed in settling your physics when a plane loads than before, so jumping to
warp right away might not be the best solution. Still, if more work is to be done here, it would be to freeze the physics work until warp is complete,
then start over affecting new changes in weight (such as when mining ore). For now though, the best work around is to wait and make sure your ship
is stable before time warping. Alternatively, the game can be coded to refuse a time warp order while physics is settling in much the same way as it
does when moving on the surface or in atmospheric flight. This will help prevent such actions as jumping to x5 or greater warp immediately.

#12 - 04/29/2018 12:20 AM - yku12

jclovis3 wrote:

It might not seem obvious, but there is more work that needs to be performed in settling your physics when a plane loads than before, so

jumping to warp right away might not be the best solution. Still, if more work is to be done here, it would be to freeze the physics work until warp
is complete, then start over affecting new changes in weight (such as when mining ore). For now though, the best work around is to wait and
make sure your ship is stable before time warping. Alternatively, the game can be coded to refuse a time warp order while physics is settling in

much the same way as it does when moving on the surface or in atmospheric flight. This will help prevent such actions as jumping to x5 or

greater warp immediately.

Can you reproduce what I'm seeing in 1.4.3? | think if they can make "loading -> reload" totally fine, they may apply the same technique to time warp.
Though | don't know how they code, | believe there is no much difference between "stop warping" and "load craft" when it comes to starting accurate

physical simulation.

#13 - 04/11/2019 09:15 PM - chris.fulton
- Related to Bug #19454: Starting landing Gear added

#14 - 04/11/2019 09:22 PM - chris.fulton
- Status changed from Updated to Confirmed

#15 - 04/11/2019 09:22 PM - chris.fulton
- Status changed from Confirmed to Ready to Test

- % Done changed from 10 to 80

Improvements have been made up to 1.7 with the landing gear. Setting this bug to RTT to see if the original issue is now fixed.

#16 - 04/13/2019 11:41 AM - Anth12
- Status changed from Ready to Test to Not Fixed
- % Done changed from 80 to 50

Not fixed.

But it is a little more complicated than the videos that have been posted imply.
Whenever | do a bug report about a crafts wheels | make sure to test it off the runway.

A crafts wheels act differently at times when on the runway verses when they arent.

In other testing | found that rover wheels didn't blow up or ended up damaged when they were on the runway and that they were blown up or
damaged when they were on the grass beside the runway

Heres a video showing the smaller landing gear bouncing on the runway.
https://youtu.be/fl74gKmw2kc

Heres a video using the same craft on the grass beside the runway where the landing gear acted in a more acceptable way
https://youtu.be/xuZgp91iysl

Files

landing gear clipped into the ground.mp4 2.74 MB 03/30/2018 yku12
SPH.7z 23.7 KB 04/03/2018 yku12
craft file.7z 26.5 KB 04/28/2018 yku12
